"use strict";

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj["default"] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _util = require("util");

var _util2 = _interopRequireDefault(_util);

var _hockeyAppHockeyApp = require("./hockeyApp/hockeyApp");

var hockeyApp = _interopRequireWildcard(_hockeyAppHockeyApp);

var _appsAppCreator = require("./apps/appCreator");

var _printer = require("./printer");

var _appsAppPrinter = require("./apps/appPrinter");

var _informUser = require("./informUser");

var _devicesDevice = require("./devices/device");

Promise.all([(0, _devicesDevice.getDevices)(), hockeyApp.getAppConfigs()]).then(_appsAppCreator.createAllAppsForDevices).then(_informUser.informUser).then(function (apps) {
  var deployableApps = (0, _appsAppCreator.filterDeployableApps)(apps);
  (0, _printer.showDescription)(function () {
    return (0, _appsAppPrinter.describeApps)(apps);
  }, deployApps(deployableApps));
})["catch"](function (error) {
  console.log("Error: " + _util2["default"].inspect(error));
});

function deployApps(deployableApps) {
  var deploy = deployableApps.map(function (deployableApp) {
    return deployableApp.deploy();
  });
  return Promise.all(deploy);
}
//# sourceMappingURL=main.js.map